Thunderbird 78.x под Ubuntu 20.04

Я хотел бы использовать Thunderbird 78.x в Ubuntu 20.04. Это версия, которую я использую под Windows. Когда TB 78 будет частью Ubuntu и будет обновляться автоматически? Официальная версия Tb - 68.x прямо сейчас.

0
задан 13 February 2021 в 19:48

3 ответа

Бег Rmadison Thunderbird Мы можем видеть, что версия Thunderbird 78.x находится в -Proposed .

~$ rmadison thunderbird
 thunderbird | 11.0.1+build1-0ubuntu2            | precise          | source, amd64, armel, armhf, i386, powerpc
 thunderbird | 1:24.4.0+build1-0ubuntu1          | trusty           | source, amd64, armhf, i386, powerpc
 thunderbird | 1:38.6.0+build1-0ubuntu1          | xenial           | source, amd64, arm64, armhf, i386, powerpc, ppc64el, s390x
 thunderbird | 1:38.8.0+build1-0ubuntu0.12.04.1  | precise-security | powerpc
 thunderbird | 1:38.8.0+build1-0ubuntu0.12.04.1  | precise-updates  | powerpc
 thunderbird | 1:45.8.0+build1-0ubuntu0.12.04.1  | precise-security | source, amd64, armel, armhf, i386
 thunderbird | 1:45.8.0+build1-0ubuntu0.12.04.1  | precise-updates  | source, amd64, armel, armhf, i386
 thunderbird | 1:45.8.0+build1-0ubuntu0.14.04.1  | trusty-security  | powerpc
 thunderbird | 1:45.8.0+build1-0ubuntu0.14.04.1  | trusty-updates   | powerpc
 thunderbird | 1:45.8.0+build1-0ubuntu0.16.04.1  | xenial-security  | powerpc
 thunderbird | 1:45.8.0+build1-0ubuntu0.16.04.1  | xenial-updates   | powerpc
 thunderbird | 1:52.7.0+build1-0ubuntu1          | bionic           | source, amd64, arm64, armhf, i386, ppc64el
 thunderbird | 1:60.6.1+build2-0ubuntu0.14.04.1  | trusty-security  | source, amd64, arm64, armhf, i386, ppc64el
 thunderbird | 1:60.6.1+build2-0ubuntu0.14.04.1  | trusty-updates   | source, amd64, arm64, armhf, i386, ppc64el
 thunderbird | 1:68.7.0+build1-0ubuntu2          | focal            | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:68.10.0+build1-0ubuntu0.16.04.1 | xenial-security  | source, amd64, arm64, armhf, i386, ppc64el, s390x
 thunderbird | 1:68.10.0+build1-0ubuntu0.16.04.1 | xenial-updates   | source, amd64, arm64, armhf, i386, ppc64el, s390x
 thunderbird | 1:68.10.0+build1-0ubuntu0.18.04.1 | bionic-security  | source, amd64, arm64, armhf, i386, ppc64el, s390x
 thunderbird | 1:68.10.0+build1-0ubuntu0.18.04.1 | bionic-updates   | source, amd64, arm64, armhf, i386, ppc64el, s390x
 thunderbird | 1:68.10.0+build1-0ubuntu0.20.04.1 | focal-security   | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:68.10.0+build1-0ubuntu0.20.04.1 | focal-updates    | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:78.3.2+build1-0ubuntu1          | groovy           | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:78.5.0+build3-0ubuntu0.20.04.1  | focal-proposed   | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:78.6.1+build1-0ubuntu0.20.10.1  | groovy-security  | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:78.6.1+build1-0ubuntu0.20.10.1  | groovy-updates   | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:78.7.0+build2-0ubuntu1          | hirsute          | source, amd64, arm64, armhf, ppc64el, s390x
 thunderbird | 1:78.7.1+build1-0ubuntu1          | hirsute-proposed | source, amd64, arm64, armhf, ppc64el, s390x

Это будет в конечном итоге будет перемещено в Main репозиторий и обновление после него после него Проходит 5 критериев из https://wiki.ubuntu.com/proposedmigration

(конкретная версия а) пакета будет переходить в релиз карман, когда он удовлетворяет всем следующим критериям:

  1. он должен быть построен и опубликован на всех архитектурах в настоящее время Опубликовано в кармане релиза (это относится к каждому двоичному двору, но приемлемо, если другие двоичные файлы из того же источника для Та же архитектура актуальна в процениках и двоичной в Вопрос был удален);

  2. Все его зависимости должны либо быть удовлетворены пакетами уже в ролике кармана или быть удовлетворенным группой Пакеты, которые будут установлены одновременно;

  3. , если пакет или любой из его двоичных или тестовых обратных зависимостей Определяет любые тестовые союзы AutoPKGTest, они должны либо проходить или никогда прошел («всегда потерпел неудачу»);

  4. ошибок с блоком, предлагаемой тегом открыты против пакета (Это может быть использовано для временного блокировки пакета по ручному тестированию);

  5. Работа установки пакета в карман выпуска должна Не сломайте какие-либо пакеты, в настоящее время в кармане выпуска.

Пакет, который удовлетворяет первые три из вышеперечисленного, считается «Действительный кандидат». Пакет, который не удовлетворяет первые три из Вышесказанное называется «не считанным».

К сожалению, нет временных кадров для при прохождении пакета и перемещается в Главный репозиторий для установки. Можно включить -Proposed репозиторий и установить более новую версию, но это может сломать пакеты, установив версию, которая еще не передала все критерии и может вызвать непредсказуемое поведение.

2
ответ дан 18 March 2021 в 23:36

Проверили сегодня и получили следующее:

curtis@xxxxx:/etc/apt/sources.list.d$ apt list - upgradable Список... Готово thunderbird-gnome-поддержка/фокальные обновления 1:78.7.1+build1-0ubuntu0.20.04.1 amd64 [расширяемая с: 1:68.10.0+build1-0ubuntu0.20.04.1] thunderbird-locale-en-us/focal-updates,focal-updates 1:78.7.1+build1-0ubuntu0.20.04.1 все [расширяемый с: 1:68.10.0+build1-0ubuntu0.20.04.1] thunderbird-locale-en/focal-updates 1:78.7.1+build1-0ubuntu0.20.04.1 amd64 [расширяемый с: 1:68.10.0+build1-0ubuntu0.20.04.1] thunderbird/focal-updates 1:78.7.1+build1-0ubuntu0.20.04.1 amd64 [обновление с: 1:68.10.0+build1-0ubuntu0.20.04.1]

Обновлено и да, TB 78.7.1 установлено.

1
ответ дан 18 March 2021 в 23:36

Альтернативный метод установки Thunderbird 78.x После инструкции на официальном сайте. Каталог загрузки здесь :

  • Прежде чем установить Thunderbird, убедитесь, что ваш компьютер имеет Требуемые библиотеки установлены . Недостающие библиотеки будут вызывать Thunderbird будет неработоспособным.
  • Установочный файл, предоставленный Mozilla в формате .tar.bz2, не Содержать источники, но предварительно скомпилированные двоичные файлы, поэтому вы можете Просто распаковывайте и беги их. Нет необходимости компилировать программу от источника.
  • Следующие инструкции будут устанавливать Thunderbird в ваш дом каталог, и только текущий пользователь сможет запустить его.

  1. Скачать Thunderbird из страницы загрузки Thunderbird в свой дом каталог.
  2. Откройте терминал и перейдите в свой домашний каталог: CD ~
  3. Извлеките содержимое загруженного файла: T AR XJF Thunderbird - *. TAR.BZ2
  4. Закрыть Thunderbird, если он открыт Отказ
  5. Чтобы начать Thunderbird, запустите скрипт Thunderbird в папке Thunderbird: ~ / Thunderbird / Thunderbird

Thunderbird теперь должен начинаться. Затем вы можете создать задержку на рабочем столе, чтобы запустить эту команду.

Установка Thunderbird на Linux

0
ответ дан 18 March 2021 в 23:36

Другие вопросы по тегам:

Похожие вопросы: